using System;
using MessagePack;

namespace GameMessage
{
    [MessagePackObject]
    public class UserRegistrationData
    {
        public const string UserIdName = nameof(UserId);

        public const string InviteIdName = nameof(InviteId);
        
        public const string RegisterChannelName = nameof(RegisterChannel);
        
        public const string AccountTypeName = nameof(AccountType);
        
        public const string RegisterTimeName = nameof(RegisterTime);
        
        public const string RemarkName = nameof(Remark);
        
        /// <summary>
        /// 用户Id
        /// </summary>
        [Key(0)] public int UserId { get; set; }
        /// <summary>
        /// 邀请人
        /// </summary>
        [Key(1)] public string InviteId { get; set; }
        /// <summary>
        /// 注册平台 (PlatType)
        /// </summary>
        [Key(2)] public int RegisterChannel { get; set; }
        /// <summary>
        /// 账号类型 （普通账号、微信、QQ、、、） (LoginType)
        /// </summary>
        [Key(3)] public int AccountType { get; set; }
        /// <summary>
        /// 注册时间
        /// </summary>
        [Key(4)] public DateTime RegisterTime { get; set; }
        /// <summary>
        /// 注册备注
        /// </summary>
        [Key(5)] public string Remark { get; set; }
    }
}